Bug 1705553 - Port to libecal-2.0
Summary: Port to libecal-2.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wingpanel-indicator-datetime
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1736968
TreeView+ depends on / blocked
 
Reported: 2019-05-02 13:29 UTC by Milan Crha
Modified: 2019-12-17 01:44 UTC (History)
3 users (show)

Fixed In Version: wingpanel-indicator-datetime-2.2.1-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-17 01:44:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Milan Crha 2019-05-02 13:29:46 UTC
Once changes from [1] for evolution-data-server (eds) land, which is currently planned for 3.33.2 on May 20, then elementary-calendar will need porting.

I'd like to provide some patch before the changes for eds land and rawhide is updated, but this is all vala, which is mostly out of my hands. Luckily, I've a promise from Corentin to help, though I do not know how quickly after the eds release it'll be, because he's waiting for that release (it makes sense, because eds is waiting for libical release, which should had happen on the April 30, but it did not; thus it's not sure whether the 3.33.2 will finally have these changes or not).

This is kind of heads-up bug for you to be aware of the planned changes. Some more information can be found here [2].

[1] https://gitlab.gnome.org/GNOME/evolution-data-server/issues/33
[2] https://mail.gnome.org/archives/desktop-devel-list/2019-April/msg00016.html

Comment 1 Milan Crha 2019-05-02 13:30:33 UTC
s/elementary-calendar/wingpanel-indicator-datetime/

Comment 2 Fabio Valentini 2019-05-04 09:45:10 UTC
Thanks for the heads-up, I will keep this in mind.

Comment 3 Milan Crha 2019-05-21 12:29:01 UTC
Just to let you know, the evolution-data-server-3.33.2-1 reached rawhide and is part of the build root now.

Comment 4 Fabio Valentini 2019-05-21 12:41:10 UTC
Thanks for the heads-up!

Comment 5 Ben Cotton 2019-08-13 17:02:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Ben Cotton 2019-08-13 18:35:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Fabio Valentini 2019-09-10 19:58:36 UTC
Quick update:

I don't really have the time (or GObject / vala expertise) to port wingpanel-indicator-datetime to libecal-2.0 right now, and the upstream project is also not working on it yet.

This means the package does neither build nor install on fedora 31+ right now, which isn't good, so close to the beta release and final freeze :/

So Pantheon users that want to upgrade from fedora 30 will be hit with broken dependencies.

Comment 8 Fabio Valentini 2019-09-10 20:07:51 UTC
I forgot to mention:

This isn't actually the worst problem, because the Pantheon session doesn't actually work on fedora 31 anymore - due to the systemd user session changes with GNOME 3.34.

Comment 9 Lukas Piekarski 2019-11-02 21:48:06 UTC
Are there any chances to make Pantheon work on Fedora 31? What we can to to make it happen?

Comment 10 Fabio Valentini 2019-11-02 23:47:15 UTC
(In reply to Lukas Piekarski from comment #9)
> Are there any chances to make Pantheon work on Fedora 31? What we can to to
> make it happen?

Just to clarify, everything except the datetime indicator should now work as expected. To upgrade to fedora 31, just remove this package and do the upgrade as usual. Once I can fix this last issue, you can install it again.

Comment 11 Lukas Piekarski 2019-11-03 09:36:00 UTC
(In reply to Fabio Valentini from comment #10)
> (In reply to Lukas Piekarski from comment #9)
> > Are there any chances to make Pantheon work on Fedora 31? What we can to to
> > make it happen?
> 
> Just to clarify, everything except the datetime indicator should now work as
> expected. To upgrade to fedora 31, just remove this package and do the
> upgrade as usual. Once I can fix this last issue, you can install it again.

Thanks for the answer, I really appreciate it.

Comment 12 Fedora Update System 2019-12-07 21:35:26 UTC
FEDORA-2019-886409cae5 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-886409cae5

Comment 13 Fedora Update System 2019-12-08 01:46:51 UTC
wingpanel-indicator-datetime-2.2.1-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-886409cae5

Comment 14 Fedora Update System 2019-12-17 01:44:50 UTC
wingpanel-indicator-datetime-2.2.1-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.